%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

Summary: KDevelop Plugin for uploading files to a remote server
Name: kdevelop4-upload
Version: 1.3.80
Release: %mkrel 2
Source0: http://fr2.rpmfind.net/linux/KDE/unstable/kdevelop/kdev-upload/%{version}/src/kdev-upload-%{version}.tar.bz2
License: GPLv2+
Group: Development/Tools
Url: http://www.kdevelop.org
BuildRequires: kdelibs4-devel 
BuildRequires: kdevplatform4-devel >= 4:%{version}
BuildRequires: kdevelop-pg-qt-devel >= 0.9.82
Requires: kdevelop4 >= 4:%{kdevelop_ver}

%description
KDevelop Plugin for uploading files to a remote server.

%files
%_kde_libdir/kde4/kcm_kdev_upload.so
%_kde_libdir/kde4/libkdevupload.so
%_kde_appsdir/kdevupload
%_kde_services/kcm_kdev_upload.desktop
%_kde_services/kdevupload.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdev-upload-%{version}

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.80-2.mga3
+ Revision: 356081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 311041
- update file list
- imported package kdevelop4-upload

